#!/bin/sh

set -e

rm -rf tutorial-repos

# Make the common commit in git-lincoln-remote.
mkdir -p tutorial-repos/git-lincoln-remote
cd tutorial-repos/git-lincoln-remote
git init
cp ../../alincoln-draft-one.txt gettysburg_address.txt
git add gettysburg_address.txt
git commit -m "Add first draft of my address" --author "Abraham Lincoln <alincoln@whitehouse.gov>"
cd ../

# Clone git-lincoln-remote and add the AP's account of the address.
git clone git-lincoln-remote git-local
cd git-local
cp ../../my-edits-to-draft-one.txt gettysburg_address.txt
git commit gettysburg_address.txt -m "Make grammar edits to the address"
cd ../

# Return to the remote and add the official account of the address.
cd git-lincoln-remote
cp ../../alincoln-draft-two.txt gettysburg_address.txt
git commit gettysburg_address.txt -m "Add final draft of my address" --author "Abraham Lincoln <alincoln@whitehouse.gov>"

# Return to the local repo and pull the official account
# from the remote repo. There will be a conflict.